QGIS Application - Bug report #5135
Spurious "Password" field in some GRASS modules
2012-03-08 01:28 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 14893
Description

Recently in the interface of the following modules:

v.in.ogr.qgis
v.in.ogr.qgis.loc
r.in.gdal.qgis
r.in.gdal.qgis.loc
r.external.qgis

a new option, grayed out (Password) has appeared.
The only difference | see is:
<file key="input" /> [no password]

<gdal key="input" /> [password]

This happens both with GDAL 1.7 and 1.9

Related issues:
Duplicates QGIS Application - Bug report # 4259: Get "no password supplied" e... Closed 2011-09-04

History

#1 - 2012-03-09 08:52 AM - Jiirgen Fischer
- Resolution set to worksforme
- Status changed from Open to Closed

#2 - 2012-03-09 10:17 AM - Paolo Cavallini

It is still there for me - | admit it is not a serious issue, but annoying nonetheless.

#3 - 2012-03-09 10:25 AM - Jiirgen Fischer

Paolo Cavallini wrote:

It is still there for me - | admit it is not a serious issue, but annoying nonetheless.

What's the problem with it? You can enter a password, if you select a postgres layer without given password - otherwise it's disabled.
#4 - 2012-03-12 05:57 AM - Paolo Cavallini

OK, got it: it is useful to add a password for database layers. It is OK as it stands. Thanks.
